org.apache.lucene.facet.search

## Class TopKInEachNodeHandler.IntermediateFacetResultWithHash

- java.lang.Object
- - org.apache.lucene.facet.search.TopKInEachNodeHandler.IntermediateFacetResultWithHash

- All Implemented Interfaces:
    IntermediateFacetResult
  Enclosing class:
    TopKInEachNodeHandler

      public static class TopKInEachNodeHandler.IntermediateFacetResultWithHash
      extends Object
      implements IntermediateFacetResult

  Intermediate result to hold counts from one or more partitions processed thus far. Its main field, constructor parameter mapToAACOs, is a map from ordinals to AACOs. The AACOs mapped to contain ordinals and values encountered in the count arrays of the partitions processed thus far. The ordinals mapped from are their parents, and they may be not contained in the partitions processed thus far. All nodes belong to the taxonomy subtree defined at the facet request, constructor parameter facetReq, by its root and depth.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IntToObjectMap<TopKInEachNodeHandler.AACO>` | `mapToAACOs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopKInEachNodeHandler.IntermediateFacetResultWithHash(FacetRequest facetReq, IntToObjectMap<TopKInEachNodeHandler.AACO> mapToAACOs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetRequest` | `getFacetRequest()` Facet request for which this temporary result was created.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapToAACOs

          protected IntToObjectMap<TopKInEachNodeHandler.AACO> mapToAACOs

  - ### Constructor Detail

    - #### TopKInEachNodeHandler.IntermediateFacetResultWithHash

          public TopKInEachNodeHandler.IntermediateFacetResultWithHash(FacetRequest facetReq,
                                                               IntToObjectMap<TopKInEachNodeHandler.AACO> mapToAACOs)

  - ### Method Detail

    - #### getFacetRequest

          public FacetRequest getFacetRequest()

      Description copied from interface: `IntermediateFacetResult`
      Facet request for which this temporary result was created.
      Specified by:
        `getFacetRequest` in interface `IntermediateFacetResult`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.